## jmol 12.2.18+dfsg

=== Makefile ===
.SUFFIXES: $(SUFFIXES) .jar .java .class
        THREADS_FLAG=green
             OPTIONS=-O -deprecation -d .
#            OPTIONS=
           JMOL_HOME=/home/egonw/bin/jmol-0.6
            CML_HOME=/home/egonw/bin/org.openscience.asterix
           JAVA_LIBS=/home/egonw/bin/javalibs
           JAVA_HOME=/usr/local/jdk1.2
               JAVAC= jikes
                JAVA= $(JAVA_HOME)/bin/java -${THREADS_FLAG}
             JAVADOC= $(JAVA_HOME)/bin/javadoc -${THREADS_FLAG}
               JIKES= /home/egon/bin/jikes
           CLASSPATH=${JAVA_HOME}/jre/lib/rt.jar:${CML_HOME}:${JAVA_LIBS}/sax.jar:${JAVA_LIBS}/aelfred.jar
#
#
SOURCE = org/openscience/cml/FortranFormat.java \
         org/openscience/cdopi/CDOAcceptedObjects.java \
         org/openscience/cdopi/CDOInterface.java \
         org/openscience/cdopi/CMLCDO.java \
         org/openscience/cdopi/NMRCDO.java \
         org/openscience/cdopi/ANIMATIONCDO.java \
	 org/openscience/cml/ConventionInterface.java \
         org/openscience/cml/Convention.java \
         org/openscience/cml/DTDResolver.java \
         org/openscience/cml/CMLHandler.java \
         org/openscience/cml/PDBConvention.java \
         org/openscience/cml/MDLMolConvention.java

#
# Put Jmol.class first
#
CLASSES = org/openscience/cml/FortranFormat.class \
          org/openscience/cdopi/CDOInterface.class \
          org/openscience/cdopi/CMLCDO.class \
          org/openscience/cdopi/NMRCDO.class \
          org/openscience/cdopi/ANIMATIONCDO.class \
          org/openscience/cml/ConventionInterface.class \
          org/openscience/cml/Convention.class \
          org/openscience/cml/DTDResolver.class \
          org/openscience/cml/PDBConvention.class \
          org/openscience/cml/CMLHandler.class \
          org/openscience/cml/MDLMolConvention.class

# 
# Some rulesets for compilation
#
# standard java files
#
%.class: %.java
	@echo "compiling $*"
	$(JAVAC) ${OPTIONS} -classpath $(CLASSPATH) -g $<

all: archive

archive: $(CLASSES)
	/bin/rm -f cml.jar
	$(JAVA_HOME)/bin/jar -green -cvf cml.jar org/openscience/cml/*.class org/openscience/cdopi/*.class org/openscience/cml/data org/openscience/cml/data/* README.txt VERSION.txt LICENSE.txt CHANGELOG.txt

source: ${SOURCE}
	@echo "making source distro..."
	tar cvf cml_source.tar ${SOURCE} Makefile README.txt VERSION.txt LICENSE.txt
	gzip cml_source.tar

clean::
	@find . -name '*~' -exec $(RM) {} \;
	@find . -name '*.class' -exec $(RM) {} \;

## jmol 12.0.40

=== debian/changelog ===
jmol (12.0.40-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS (LP: #831372):
    - d/control: added icedtea-plugin to Build-Depends
    - d/patches/fix-icedtea-web-plugin.patch: patch build.xml to pickup
      plugin.jar from icedtea-plugin.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Sep 2011 11:58:34 +0100

jmol (12.0.40-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/missing_directories.patch: Dropped, no longer needed. 

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Apr 2011 22:04:43 +0200

jmol (12.0.28-1) unstable; urgency=low

  * Initial release; Closes: #512930.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Jan 2011 16:13:29 +0100

=== debian/control ===
Source: jmol
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.0), javahelper, quilt, docbook-xml (>= 4.2), docbook-xsl (>= 1.66), xsltproc, default-jdk, ant, ant-contrib, libcommons-cli-java, libjaxp1.3-java, libsaxon-java, libvecmath-java, libitext1-java, icedtea-plugin
Standards-Version: 3.9.1
Homepage: http://jmol.sourceforge.net/
XS-Vcs-Browser: http://svn.debian.org/wsvn/debichem/
XS-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/jmol/
DM-Upload-Allowed: yes

Package: jmol
Section: science
Architecture: all
Depends: libjmol-java, ${misc:Depends}
Suggests: jmol-doc
Description: Molecular Viewer
 Jmol is a Java molecular viewer for three-dimensional chemical structures.
 Features include reading a variety of file types and output from quantum
 chemistry programs, and animation of multi-frame files and computed normal
 modes from quantum programs.  It includes with features for chemicals,
 crystals, materials and biomolecules.  Jmol might be useful for students,
 educators, and researchers in chemistry and biochemistry.
 .
 File formats read by Jmol include PDB, XYZ, CIF, CML, MDL Molfile, Gaussian,
 GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.

Package: libjmol-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, default-jre | java2-runtime
Suggests: libjmol-java-doc
Description: Java library for molecular structures
 Jmol is a Java molecular viewer for three-dimensional chemical structures.
 Features include reading a variety of file types and output from quantum
 chemistry programs, and animation of multi-frame files and computed normal
 modes from quantum programs.  It includes with features for chemicals,
 crystals, materials and biomolecules.  Jmol might be useful for students,
 educators, and researchers in chemistry and biochemistry.
 .
 This package contains the Jmol Java libraries.

Package: jmol-applet
Section: java
Architecture: all
Depends: libjmol-java, ${misc:Depends}, default-jre | java2-runtime
Homepage: http://jmol.sourceforge.net/
Description: Jmol Java applet
 Jmol is a Java molecular viewer for three-dimensional chemical structures.
 Features include reading a variety of file types and output from quantum
 chemistry programs, and animation of multi-frame files and computed normal
 modes from quantum programs.  It includes with features for chemicals,
 crystals, materials and biomolecules.  Jmol might be useful for students,
 educators, and researchers in chemistry and biochemistry.
 .
 File formats read by Jmol include PDB, XYZ, CIF, CML, MDL Molfile, Gaussian,
 GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.
 .
 This package contains the Jmol Java applet

Package: libjmol-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for libjmol-java
 Jmol is a Java molecular viewer for three-dimensional chemical structures.
 Features include reading a variety of file types and output from quantum
 chemistry programs, and animation of multi-frame files and computed normal
 modes from quantum programs.  It includes with features for chemicals,
 crystals, materials and biomolecules.  Jmol might be useful for students,
 educators, and researchers in chemistry and biochemistry.
 .
 This package comprises the javadoc documentation for the libjmol-java package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/quilt/quilt.make
include /usr/share/javahelper/java-vars.mk

.NOTPARALLEL:

DOCBOOK_DIR=/usr/share/xml/docbook/stylesheet/nwalsh

build: patch build-stamp

build-stamp:
	dh_testdir
	cd debian && xsltproc $(DOCBOOK_DIR)/manpages/docbook.xsl *.[12345678].xml
	ant -Dlib.dir=/usr/share/java -Dvecmath.jar=vecmath.jar -Ditext.jar=itext1.jar -Dcommons-cli.jar=commons-cli.jar jar applet-jar doc
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	find . -name "*.jar" | xargs rm -f
	-rm -f debian/*.[12345678]
	-ant clean
	dh_clean src/org/jmol/translation/translations.tgz

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -m664 src/org/openscience/jmol/app/images/icon.png  $(CURDIR)/debian/jmol/usr/share/pixmaps/jmol-icon.png
	install -m775 appletweb/chime2jmol.pl $(CURDIR)/debian/jmol-applet/usr/bin/chime2jmol
	install -m775 appletweb/JmolAppletProxy.cgi $(CURDIR)/debian/jmol-applet/usr/lib/cgi-bin/JmolAppletProxy.cgi

binary-arch: 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_install
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	jh_installlibs 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

=== debian/watch ===
version=3
http://sf.net/jmol/jmol-(.*)-full\.tar\.gz

## jmol 12.2.2+dfsg

=== debian/changelog ===
jmol (12.2.2+dfsg-1) unstable; urgency=low

  * New upstream release; Closes: #646253.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.2.
    (XS-Vcs-*): Renamed to Vcs-*.
    (Homepage): Dropped duplicated field.
  * debian/get-orig-source.sh: Remove pre-compiled and source-less stuff.
  * debian/watch: Only check for stable releases. Handle DFSG compatible
    versions.

  [ Michael Banck ]
  * debian/patches/chime2jmol_binary.patch: Refreshed.
  * debian/control (jmol): Remove Suggests on jmol-doc, package does not
    exist.
  * debian/get-orig-source.sh: Remove newly introduced tools/*.jar as well.
  * debian/control (Build-Depends): Added icedtea-plugin; Closes: #628292.
  * debian/source/include-binaries: Update.
  * debian/control (Build-Depends): Added libnaga-java.
  * debian/rules (build-stamp): Symlink all required jars into jars/ prior to
    build and do no longer define ${lib.dir}.
  * debian/rules (clean): Remove jar symlinks from jars/.
  * debian/rules (install): Account for rename of chime2jmol.pl to
    chime2jmol_old.pl.

 -- Michael Banck <mbanck@debian.org>  Mon, 31 Oct 2011 20:53:01 +0100

jmol (12.1.42-1) experimental; urgency=low

  * New upstream development release; Closes: #623075.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Apr 2011 12:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: jmol
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.0), javahelper, quilt, docbook-xml (>= 4.2), docbook-xsl (>= 1.66), xsltproc, default-jdk, ant, ant-contrib, libcommons-cli-java, libjaxp1.3-java, libsaxon-java, libvecmath-java, libitext1-java, icedtea-plugin
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.0), javahelper, quilt, docbook-xml (>= 4.2),
+ docbook-xsl (>= 1.66), xsltproc, default-jdk, ant, ant-contrib,
+ libcommons-cli-java, libjaxp1.3-java, libsaxon-java, libvecmath-java,
+ libitext1-java, libnaga-java, icedtea-plugin
+Standards-Version: 3.9.2
 Homepage: http://jmol.sourceforge.net/
-XS-Vcs-Browser: http://svn.debian.org/wsvn/debichem/
-XS-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/jmol/
+Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/jmol/
+Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/jmol/
 DM-Upload-Allowed: yes
 
 Package: jmol
 Section: science
 Architecture: all
 Depends: libjmol-java, ${misc:Depends}
-Suggests: jmol-doc
 Description: Molecular Viewer
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum
@@ -46,7 +47,6 @@
 Section: java
 Architecture: all
 Depends: libjmol-java, ${misc:Depends}, default-jre | java2-runtime
-Homepage: http://jmol.sourceforge.net/
 Description: Jmol Java applet
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 build-stamp:
 	dh_testdir
 	cd debian && xsltproc $(DOCBOOK_DIR)/manpages/docbook.xsl *.[12345678].xml
-	ant -Dlib.dir=/usr/share/java -Dvecmath.jar=vecmath.jar -Ditext.jar=itext1.jar -Dcommons-cli.jar=commons-cli.jar jar applet-jar doc
+	(cd jars && for i in /usr/share/java/*.jar /usr/share/icedtea-web/*.jar; do ln -s $$i; done)
+	ant -Dvecmath.jar=vecmath.jar -Ditext.jar=itext1.jar -Dcommons-cli.jar=commons-cli.jar jar applet-jar doc
 	touch build-stamp
 
 clean: unpatch
@@ -21,6 +22,7 @@
 	dh_testroot
 	rm -f build-stamp
 	rm -rf build
+	rm -rf jars/*
 	find . -name "*.jar" | xargs rm -f
 	-rm -f debian/*.[12345678]
 	-ant clean
@@ -32,7 +34,7 @@
 	dh_prep
 	dh_installdirs
 	install -m664 src/org/openscience/jmol/app/images/icon.png  $(CURDIR)/debian/jmol/usr/share/pixmaps/jmol-icon.png
-	install -m775 appletweb/chime2jmol.pl $(CURDIR)/debian/jmol-applet/usr/bin/chime2jmol
+	install -m775 appletweb/chime2jmol_old.pl $(CURDIR)/debian/jmol-applet/usr/bin/chime2jmol
 	install -m775 appletweb/JmolAppletProxy.cgi $(CURDIR)/debian/jmol-applet/usr/lib/cgi-bin/JmolAppletProxy.cgi
 
 binary-arch:

## jmol 12.2.18+dfsg

=== debian/changelog ===
jmol (12.2.18+dfsg-1) unstable; urgency=low

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Mon, 19 Mar 2012 23:08:08 +0100

## jmol 12.2.32+dfsg

=== debian/changelog ===
jmol (12.2.32+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 29 Jun 2012 20:41:26 +0200

jmol (12.2.30+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/chime2jmol.1.xml: Turned into debian/chime2jmol.1.
  * debian/jmol.1.xml: Turned into debian/jmol.1.
  * debian/compat: Bumped level to 8.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Increased dh version.
    (Depends): Fixed needless-dependency-on-jre. Added libwww-perl for CGI
    script.
    (Section): Fixed binary-control-field-duplicates-source.
    (Uploaders): Added myself.
  * debian/copyright: Massive update.
  * debian/jmol.doc-base: Adjusted.
  * debian/jmol.install: Path fix.
  * debian/jmol-applet.doc-base: Added.
  * debian/jmol-applet.install: Install applet guide.
  * debian/menu: Renamed to debian/jmol.menu.
  * debian/rules: Rewritten for dh 8 including addons. Set JAVA_HOME
    (closes: #678057).
  * debian/upstream: Added.
  * debian/patches/*.patch: Added header tags.
  * debian/README.source: Added.
  * debian/get-orig-source.sh: Also remove .exe, .dll and non-free sources.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 24 Jun 2012 22:39:20 +0200

## jmol 12.2.32+dfsg2

=== debian/changelog ===
jmol (12.2.32+dfsg2-1) unstable; urgency=low

  * New repackaged upstream tarball, removing the src/com/json directory due
    to licensing issues (closes: #692622).
  * debian/patches/remove_json.patch: New patch, adapting the codebase to the
    removal of the src/com/json package, taken from upstream revision 17710.
  * debian/get-orig-source.sh: Remove src/com/json directory when repackaging.

 -- Michael Banck <mbanck@debian.org>  Mon, 12 Nov 2012 14:14:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,30 @@
 Section: science
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.0), javahelper, quilt, docbook-xml (>= 4.2),
- docbook-xsl (>= 1.66), xsltproc, default-jdk, ant, ant-contrib,
- libcommons-cli-java, libjaxp1.3-java, libsaxon-java, libvecmath-java,
- libitext1-java, libnaga-java, icedtea-plugin
-Standards-Version: 3.9.2
+Uploaders: Michael Banck <mbanck@debian.org>,
+           Daniel Leidert <dleidert@debian.org>
+Build-Depends: ant,
+               ant-contrib,
+               debhelper (>> 8),
+               default-jdk,
+               docbook-xml (>> 4.2),
+               docbook-xsl (>> 1.66),
+               icedtea-plugin,
+               javahelper,
+               libcommons-cli-java,
+               libitext1-java,
+               libjaxp1.3-java,
+               libnaga-java,
+               libsaxon-java,
+               libvecmath-java,
+               xsltproc
+Standards-Version: 3.9.3
 Homepage: http://jmol.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/jmol/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/jmol/
 DM-Upload-Allowed: yes
 
 Package: jmol
-Section: science
 Architecture: all
 Depends: libjmol-java, ${misc:Depends}
 Description: Molecular Viewer
@@ -31,7 +42,7 @@
 Package: libjmol-java
 Section: java
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}, default-jre | java2-runtime
+Depends: ${java:Depends}, ${misc:Depends}
 Suggests: libjmol-java-doc
 Description: Java library for molecular structures
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
@@ -46,7 +57,11 @@
 Package: jmol-applet
 Section: java
 Architecture: all
-Depends: libjmol-java, ${misc:Depends}, default-jre | java2-runtime
+Depends: default-jre | java2-runtime,
+         libjmol-java,
+         libwww-perl,
+         ${misc:Depends},
+         ${perl:Depends}
 Description: Jmol Java applet
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export JAVA_HOME:= /usr/lib/jvm/default-java

%:
	dh $@ --with=javahelper --buildsystem=ant --parallel

override_dh_auto_build:
	(cd jars && for i in /usr/share/java/*.jar /usr/share/icedtea-web/*.jar; \
	 do ln -s $$i; done)
	dh_auto_build -- -Dvecmath.jar=vecmath.jar -Ditext.jar=itext1.jar \
	                 -Dcommons-cli.jar=commons-cli.jar jar applet-jar doc

override_dh_auto_install:
	dh_auto_install
	install -D -m664 src/org/openscience/jmol/app/images/icon.png \
	                 $(CURDIR)/debian/jmol/usr/share/pixmaps/jmol-icon.png
	install -D -m775 appletweb/chime2jmol_old.pl \
	                 $(CURDIR)/debian/jmol-applet/usr/bin/chime2jmol
	install -D -m775 appletweb/JmolAppletProxy.cgi  \
	                 $(CURDIR)/debian/jmol-applet/usr/lib/cgi-bin/JmolAppletProxy.cgi

override_dh_clean:
	$(RM) -r build
	dh_clean jars/* src/org/jmol/translation/translations.tgz
	find . -name "*.jar" -delete

=== debian/watch ===
# accept both old tarballs with jmol-... and newer with Jmol-...
# only check for non-pre-releases, which means the middle number is even
# don't check for RCs
version=3
opts=dversionmangle=s/\+dfsg$// \
 http://sf.net/jmol/[jJ]mol-([\d]+\.[\d]*[02468]+\.[\d]+)-full\.tar\.gz \
 debian /bin/sh debian/get-orig-source.sh

## jmol 14.6.4+2016.11.05+dfsg1

=== Makefile ===
PRIVATE_FILE ?= none
JSV_FLAGS += -DPrivate.propertyFile=$(PRIVATE_FILE)
JMOL_FLAGS += -DPrivate.propertyFile=$(PRIVATE_FILE)

build:
# JSV
	cd JSpecViewLib && ant clean && ant # "ant clean" actually copies files from Jmol
	cd JSpecView && ant $(JSV_FLAGS) make-application-jar javadoc
# Jmol, part 1
	mkdir -p Jmol/build
	cd Jmol && ant $(JMOL_FLAGS) main
# JSmol
# Note: we *must* supply Eclipse with -data $$PWD otherwise this build will
# interfere with other workspaces and has a high chance of failing.
	cd JSmol && ant -f build_11_fromjmol.xml
	cd JSmol && ant -f build_12_fromjspecview.xml
	eclipse -consoleLog -clean -debug -data $$PWD \
	  -nosplash -application net.sf.j2s.ui.cmdlineApi \
	  -cmd build -path $$PWD/JSmol
	cd JSmol && ant -Djmol.path=../Jmol -f build_13_tojs.xml
# Jmol, part 2
	cd Jmol && ant $(JMOL_FLAGS) all

test:
	cd Jmol && ant $(JMOL_FLAGS) test

clean:
# JSmol
	rm -rf JSmol/bin JSmol/dist/jsmol.zip JSmol/jnlp/JmolApplet*.jar
	rm -rf JSmol/site JSmol/src JSmol/srcjs/js
	rm -rf $$PWD/.metadata # clean eclipse workspace
# Jmol
	mkdir -p Jmol/build
	cd Jmol && ant $(JMOL_FLAGS) clean clean-after-dist
	rm -rf Jmol/build Jmol/appletweb/jsmol.zip Jmol/jars/JSpecView.jar
	rm -rf Jmol/src/org/jmol/translation/translations.tgz Jmol/Jmol.properties
# JSV
	cd JSpecView && ant $(JSV_FLAGS) clean
	rm -rf JSpecView/bin JSpecView/build JSpecView/doc JSpecView/src/org
	cd JSpecViewLib && ant clean
	rm -rf JSpecViewLib/src/javajs JSpecViewLib/src/org

.PHONY: configure build test clean

=== debian/changelog ===
jmol (14.6.4+2016.11.05+dfsg1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 22:49:04 +0100

jmol (14.6.4+2016.11.05+dfsg1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 20 Dec 2016 16:21:25 +0100

jmol (14.6.4+2016.11.05+dfsg1-2) experimental; urgency=medium

  * Add myself to Uploaders.
  * Add proper version constraints to Depends and Build-Depends.
  * Remove SageMath files; they're no longer used.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Dec 2016 00:09:09 +0100

jmol (14.6.4+2016.11.05+dfsg1-1) experimental; urgency=low

  * Team upload.
  * New upstream release. (Closes: #698394, #776662, #794865, #843464)
  * WARNING: jmol-applet has been severely stunted; see its NEWS for details.

  [ Michael Banck ]
  * debian/patches/ant-contrib_classpath.patch: Removed second hunk (applied
    upstream) and refreshed.
  * debian/patches/chime2jmol_binary.patch: Update path.
  * debian/patches/right_cgi_diretory.patch: Likewise.
  * debian/patches/remove_json.patch: Removed, applied upstream.
  * debian/patches/cgi_fix_shebang.patch: Likewise.

  [ Daniel Leidert ]
  * debian/control: Dropped DM-Upload-Allowed.
    (Uploaders): Removed myself.

  [ Georges Khaznadar ]
  * debian/control: added myself to Uploaders
  * upgraded to the newest upstream version
  * build.xml: changed the classpath to ant-contrib.jar by an absolute
    specification

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * use xz compression for repackaged tarball
  * cme fix dpkg-copyright
  * turn excluded file types from debian/get-orig-source.sh into Files-Excluded

  [ Ximin Luo ]
  * Import upstream version 14.6.4+2016.11.05.
  * Import JSpecView and JSpecViewLib source code since they are circularly
    dependent with Jmol.
  * Import JSmol source code for completeness, but we can't build it yet.
  * Construct a /usr/share/jmol directory for SageMath.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Dec 2016 21:56:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: jmol
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>,
+           Georges Khaznadar <georgesk@debian.org>,
+           Ximin Luo <infinity0@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>,
-           Daniel Leidert <dleidert@debian.org>
 Build-Depends: ant,
                ant-contrib,
-               debhelper (>> 8),
+               debhelper (>= 10),
                default-jdk,
-               docbook-xml (>> 4.2),
-               docbook-xsl (>> 1.66),
-               icedtea-plugin,
+               docbook-xml,
+               docbook-xsl,
+               icedtea-netx-common,
                javahelper,
+               junit,
+               libclosure-compiler-java,
                libcommons-cli-java,
-               libitext1-java,
-               libjaxp1.3-java,
-               libnaga-java,
+               libnaga-java (>= 3.0),
                libsaxon-java,
-               libvecmath-java,
                xsltproc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/jmol.git
+Vcs-Git: https://anonscm.debian.org/git/debichem/packages/jmol.git
 Homepage: http://jmol.sourceforge.net/
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/jmol/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/jmol/
-DM-Upload-Allowed: yes
 
 Package: jmol
 Architecture: all
-Depends: libjmol-java, ${misc:Depends}
+Depends: default-jre,
+         libjmol-java (= ${binary:Version}),
+         ${misc:Depends}
 Description: Molecular Viewer
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum
@@ -40,9 +41,10 @@
  GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.
 
 Package: libjmol-java
+Architecture: all
 Section: java
-Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
+Depends: ${java:Depends},
+         ${misc:Depends}
 Suggests: libjmol-java-doc
 Description: Java library for molecular structures
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
@@ -55,13 +57,11 @@
  This package contains the Jmol Java libraries.
 
 Package: jmol-applet
+Architecture: all
 Section: java
-Architecture: all
 Depends: default-jre | java2-runtime,
          libjmol-java,
-         libwww-perl,
-         ${misc:Depends},
-         ${perl:Depends}
+         ${misc:Depends}
 Description: Jmol Java applet
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum
@@ -76,8 +76,8 @@
  This package contains the Jmol Java applet
 
 Package: libjmol-java-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Description: API documentation for libjmol-java
  Jmol is a Java molecular viewer for three-dimensional chemical structures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export JAVA_HOME:= /usr/lib/jvm/default-java
export JAVA_TOOL_OPTIONS = -Dfile.encoding=UTF8 # otherwise build fails in pbuilder

%:
	dh $@ --with=javahelper

JSV_TOOLS = ant-contrib.jar
JMOL_TOOLS = ant-contrib.jar
JSMOL_JARS = closure-compiler.jar junit.jar

override_dh_auto_configure:
	mkdir -p JSpecView/tools
	for i in $(JSV_TOOLS); do ln -sf -T /usr/share/java/$$i JSpecView/tools/$$i; done
	mkdir -p Jmol/tools
	for i in $(JMOL_TOOLS); do ln -sf -T /usr/share/java/$$i Jmol/tools/$$i; done
#	mkdir -p JSmol/jars
#	for i in $(JSMOL_JARS); do ln -sf -T /usr/share/java/$$i JSmol/jars/$$i; done

JSV_FLAGS    := -Dnetscape.jar.path=/usr/share/icedtea-web/plugin.jar
JMOL_FLAGS   := -Dnetscape.jar.path=/usr/share/icedtea-web/plugin.jar \
                -Dlib.dir=/usr/share/java -Dcommons-cli.jar=commons-cli.jar
export JSV_FLAGS JMOL_FLAGS

override_dh_auto_test:
# FIXME: temporarily disable, not working atm
	true

override_dh_auto_clean:
	dh_auto_clean
	set -e; for i in JSmol/jars Jmol/tools JSpecView/tools; do \
	  test ! -e $$i || find $$i -type l -delete; \
	done

## jmol 14.32.3+dfsg1

=== debian/changelog ===
jmol (14.32.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 14.32.3+dfsg1
  * Refreshing patches
  * Adding libjni-inchi-java, now needed as a (build-)dependency
  * Making cleaner repacks with our d/repack script
  * Building the javadoc, now hidden by default
  * Excluding a file with very-long-lines when repacking

 -- Pierre Gruet <pgt@debian.org>  Sun, 12 Dec 2021 21:30:16 +0100

jmol (14.30.2+dfsg-2) unstable; urgency=medium

  * Putting the missing icon of jmol in a /usr/share/icons subdirectory

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Oct 2021 20:33:57 +0200

jmol (14.30.2+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Ignoring special properties file via patch in order to skip signing.
  * Cleaning up generated Jmol.properties.
  * Refreshing patch debian-system-jars.patch.
  * Setting JAR paths in debian/rules.
  * Fixing paths in debian-system-docbook.patch. Line endings are still not OK.
  * Patching out the usage of JSpecView, which is not yet present.
  * Skipping jar signing step.
  * Adjusting install paths. Some of the things have disappeared.
  * Refreshing debian/source/lintian-overrides.

  [ Pierre Gruet ]
  * New upstream version 14.30.2+dfsg
  * Depending on debhelper-compat 13, dropping old compat 10 file
  * Stopping building the jmol-applet package (Closes: #981989)
  * Adding a dependency on the doc package with exact binary version
  * Marking the doc package as Multi-Arch: foreign
  * Repack with a +dfsg suffix
  * Changing the path of the naga jar in d/rules and in the relevant patch
  * Raising Standards version to 4.6.0:
    - Rules-Requires-Root: no
  * Setting myself as Uploader
  * Alleviating d/rules, settings paths in d/p/debian-system-jars.patch instead
  * Refreshing patches
  * Clearing useless dependencies
  * Refreshing d/copyright
  * Adding a file so that javahelper sets manifest of jars correctly
  * Removing now useless d/*.dirs files
  * Adding keywords in the .desktop file
  * Using Other-References instead of non-existing Homepage field in
    d/u/metadata
  * Building the javadoc manually in d/rules
  * Fixing various wrong paths of documentation files
  * Removing unused source lintian-overrides
  * Adding a Lintian override for embedded js in the javadoc
  * Deleting unused chime2jmol manpage
  * Removing useless d/s/include-binaries file
  * Adding informative DEP3 headers to patches
  * Updating the manpage debian/jmol.1
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Oct 2021 16:51:44 +0200

jmol (14.6.4+2016.11.05+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: s/icedtea-netx-common/icedtea-netx/
    Closes: #916571
  * cme fix dpkg-control
  * Fix yaml syntax in upstream metadata
  * Add lintian-override for false positive
  * Drop Debian menu file since there is a desktop file

 -- Andreas Tille <tille@debian.org>  Sun, 16 Dec 2018 10:02:25 +0100

jmol (14.6.4+2016.11.05+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply java9-compatibility.patch by Emmanuel Bourg.
    (Closes: #875585)
  * Update Vcs-* fields to salsa.

 -- Tobias Hansen <thansen@debian.org>  Tue, 17 Apr 2018 23:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: jmol
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>,
+           Pierre Gruet <pgt@debian.org>,
            Georges Khaznadar <georgesk@debian.org>,
            Ximin Luo <infinity0@debian.org>
 Section: science
 Priority: optional
 Build-Depends: ant,
                ant-contrib,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                default-jdk,
                docbook-xml,
                docbook-xsl,
-               icedtea-netx-common,
+               imagemagick,
                javahelper,
                junit,
-               libclosure-compiler-java,
                libcommons-cli-java,
+               libjni-inchi-java,
                libnaga-java (>= 3.0),
                libsaxon-java,
                xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/jmol.git
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/jmol.git
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debichem-team/jmol
+Vcs-Git: https://salsa.debian.org/debichem-team/jmol.git
 Homepage: http://jmol.sourceforge.net/
 
 Package: jmol
@@ -45,7 +47,7 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends}
-Suggests: libjmol-java-doc
+Suggests: libjmol-java-doc (= ${binary:Version})
 Description: Java library for molecular structures
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum
@@ -56,29 +58,11 @@
  .
  This package contains the Jmol Java libraries.
 
-Package: jmol-applet
-Architecture: all
-Section: java
-Depends: default-jre | java2-runtime,
-         libjmol-java,
-         ${misc:Depends}
-Description: Jmol Java applet
- Jmol is a Java molecular viewer for three-dimensional chemical structures.
- Features include reading a variety of file types and output from quantum
- chemistry programs, and animation of multi-frame files and computed normal
- modes from quantum programs.  It includes with features for chemicals,
- crystals, materials and biomolecules.  Jmol might be useful for students,
- educators, and researchers in chemistry and biochemistry.
- .
- File formats read by Jmol include PDB, XYZ, CIF, CML, MDL Molfile, Gaussian,
- GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.
- .
- This package contains the Jmol Java applet
-
 Package: libjmol-java-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: API documentation for libjmol-java
  Jmol is a Java molecular viewer for three-dimensional chemical structures.
  Features include reading a variety of file types and output from quantum

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export JAVA_TOOL_OPTIONS = -Dfile.encoding=UTF8 # otherwise build fails in pbuilder

%:
	dh $@ --with=javahelper

override_dh_auto_clean:
	mkdir --parents build
	dh_auto_clean
	set -e; for i in Jmol/tools; do \
	  test ! -e $$i || find $$i -type l -delete; \
	done
	rm -rf build

override_dh_install:
	dh_install
	# Using imagemagick to resize the icon
	mkdir -p debian/jmol/usr/share/icons/hicolor/96x96/apps/
	convert src/org/openscience/jmol/app/images/icon.png -resize 96x96\! debian/jmol/usr/share/icons/hicolor/96x96/apps/jmol-icon.png

override_dh_installdocs:
	# Run javadoc target manually
	ant -Duser.name debian javadoc
	mkdir -p debian/libjmol-java-doc/usr/share/doc/libjmol-java/api
	cp -a build/javadoc/* debian/libjmol-java-doc/usr/share/doc/libjmol-java/api
	dh_installdocs

## jmol 14.32.64+dfsg

=== debian/changelog ===
jmol (14.32.64+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.64+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Jul 2022 12:28:49 +0200

jmol (14.32.62+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.62+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 Jul 2022 17:36:05 +0200

jmol (14.32.61+dfsg-1) unstable; urgency=medium

  * enforce the application and removal of patches to build javadoc
  * ignore debian/files
  * New upstream version 14.32.61+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 Jun 2022 19:42:05 +0200

jmol (14.32.59+dfsg-5) unstable; urgency=medium

  * enforced the application/withdrawal of patches in override_dh_installdocs
    too.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jun 2022 14:33:34 +0200

jmol (14.32.59+dfsg-4) unstable; urgency=medium

  * overrided dh_auto_build

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jun 2022 13:34:51 +0200

jmol (14.32.59+dfsg-3) unstable; urgency=medium

  * overrided dh_auto_build-indep to enforce the use of quilt to deploy
    debian patches. Otherwise, it resulted in FTBFS.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Jun 2022 20:06:16 +0200

jmol (14.32.59+dfsg-2) unstable; urgency=medium

  * upload jmol again. I checked that the package can be built on my computer
    in a fresh unstable environment.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jun 2022 19:34:09 +0200

jmol (14.32.59+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.59+dfsg
  * added a build-dependency on quilt, as this is used in debian/rules.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Jun 2022 18:21:33 +0200

jmol (14.32.57+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.57+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 19:43:42 +0200

jmol (14.32.56+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.56+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 19 May 2022 18:28:16 +0200

jmol (14.32.54+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.54+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 May 2022 19:09:31 +0200

jmol (14.32.50+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.50+dfsg
  * refreshed debian patches: building_javadoc, debian-system-docbook,
    debian-system-jars, dont-use-JSpecView, java9-compatibility,
    no-private-property-file, omit_applet_parts.patch

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Apr 2022 19:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
                libjni-inchi-java,
                libnaga-java (>= 3.0),
                libsaxon-java,
-               xsltproc
+               xsltproc,
+	       quilt
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/jmol

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 
 override_dh_auto_clean:
 	mkdir --parents build
+	quilt push -a || true
 	dh_auto_clean
+	quilt pop -a || true
 	set -e; for i in Jmol/tools; do \
 	  test ! -e $$i || find $$i -type l -delete; \
 	done
 	rm -rf build
+	rm -f src/org/jmol/translation/translations.tgz
 
 override_dh_install:
 	dh_install
@@ -23,7 +26,20 @@
 
 override_dh_installdocs:
 	# Run javadoc target manually
+	# don't know why, but in June 2022, the package was built *without*
+	# applying debian patches, which results in FTBFS by the debian build
+	# farm. So, I must enforce the application and removal of patches.
+	quilt push -a || true
 	ant -Duser.name debian javadoc
+	quilt pop -a || true
 	mkdir -p debian/libjmol-java-doc/usr/share/doc/libjmol-java/api
 	cp -a build/javadoc/* debian/libjmol-java-doc/usr/share/doc/libjmol-java/api
 	dh_installdocs
+
+override_dh_auto_build-indep:
+	# don't know why, but in June 2022, the package was built *without*
+	# applying debian patches, which results in FTBFS by the debian build
+	# farm. So, I must enforce the application and removal of patches.
+	quilt push -a || true
+	dh_auto_build -i
+	quilt pop -a || true

## jmol 14.32.83+dfsg

=== debian/changelog ===
jmol (14.32.83+dfsg-2) unstable; urgency=medium

  * Removing symlink to non-existing /usr/share/java/JSpecView.jar
    (Closes: #1035484)

 -- Pierre Gruet <pgt@debian.org>  Thu, 04 May 2023 14:24:33 +0200

jmol (14.32.83+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.83+dfsg
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 Feb 2023 16:43:13 +0100

jmol (14.32.79+dfsg2-1) unstable; urgency=medium

  * New upstream version 14.32.79+dfsg2, repacking without a newly added
    non DFSG-free zip file
  * Altering the versioned B-D on libnaga-java to ease backporting
  * Bringing back the packaging changes of version 14.32.77+dfsg-1, that had
    been dismissed by version 14.32.79+dfsg-1
  * Updating the Lintian override for embedded JS

 -- Pierre Gruet <pgt@debian.org>  Wed, 02 Nov 2022 12:18:30 +0100

jmol (14.32.79+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.79+dfsg
  * refreshed debian patches
  * modified debian/patches/debian-system-jars.patch to simplify the
    path to naga's jars.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Nov 2022 11:54:05 +0100

jmol (14.32.77+dfsg-1) unstable; urgency=medium

  * New upstream version 14.32.77+dfsg
  * Excluding folders containing jars (with .jar or .zip extension)
  * Raising Standards version to 4.6.1 (no change)
  * Adding a MetaInfo file
  * Shortening the naga jar name in manifest and build.xml
  * Installing the main jar and ptoviding Maven coordinates
    with maven_repo_helper
  * Providing a symlink /usr/share/java/Jmol.jar as reverse-dependencies could
    look for it
  * Using secure URI for homepage in d/control and d/copyright
  * Updating the Lintian override for embedded JS after a change in Lintian
    syntax
  * Adding a Lintian override for very-long-lines in source

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Oct 2022 23:00:42 +0200

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,16 @@
                junit,
                libcommons-cli-java,
                libjni-inchi-java,
-               libnaga-java (>= 3.0),
+               libnaga-java (>= 3.0+svn80-5~),
                libsaxon-java,
+               maven-repo-helper,
                xsltproc,
 	       quilt
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/jmol
 Vcs-Git: https://salsa.debian.org/debichem-team/jmol.git
-Homepage: http://jmol.sourceforge.net/
+Homepage: https://jmol.sourceforge.net/
 
 Package: jmol
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,15 @@
 #export DH_VERBOSE=1
 export JAVA_TOOL_OPTIONS = -Dfile.encoding=UTF8 # otherwise build fails in pbuilder
 
+include /usr/share/dpkg/pkg-info.mk
+
+# Referencing the Maven coordinates of the dependencies.
+NAGA_COORDINATES = <dependency>\n<groupId>com.google.code</groupId>\n<artifactId>naga</artifactId>\n<version>debian</version>\n</dependency>
+CLI_COORDINATES = <dependency>\n<groupId>commons-cli</groupId>\n<artifactId>commons-cli</artifactId>\n<version>debian</version>\n</dependency>
+INCHI_COORDINATES = <dependency>\n<groupId>net.sf.jni-inchi</groupId>\n<artifactId>jni-inchi</artifactId>\n<version>debian</version>\n</dependency>
+
 %:
-	dh $@ --with=javahelper
+	dh $@ --with javahelper,maven_repo_helper
 
 override_dh_auto_clean:
 	mkdir --parents build
@@ -17,6 +24,7 @@
 	done
 	rm -rf build
 	rm -f src/org/jmol/translation/translations.tgz
+	if [ -e tools/pom.xml ]; then rm tools/pom.xml; fi
 
 override_dh_install:
 	dh_install
@@ -43,3 +51,10 @@
 	quilt push -a || true
 	dh_auto_build -i
 	quilt pop -a || true
+
+execute_before_mh_install:
+	# Putting the Maven coordinates of the dependencies in the upstream template
+	# pom file. Also putting the dfsg-stripped upstream version number in the pom.
+	sed -e 's,\(<dependencies>\),\1\n$(NAGA_COORDINATES)\n$(CLI_COORDINATES)\n$(INCHI_COORDINATES),' \
+	    -e 's/\(@version@\)/\1$(DEB_VERSION_UPSTREAM)/; s/@version@\(.*\)+dfsg[0-9]*/\1/' \
+	    tools/pom.xml.template > tools/pom.xml

## jmol 16.2.15+dfsg

=== debian/changelog ===
jmol (16.2.15+dfsg-1) unstable; urgency=medium

  * New upstream version 16.2.15+dfsg
  * Removing unused files from j2s and site-resources when repacking
  * Removing broken symlinks (Closes: #1071231)

 -- Pierre Gruet <pgt@debian.org>  Sat, 01 Jun 2024 22:09:31 +0200

jmol (16.2.9+dfsg-1) unstable; urgency=medium

  * New upstream version 16.2.9+dfsg
  * Updating the list of files to exclude when repacking
  * Refreshing patches
  * Building with Maven, as upstream build files have vanished
  * Solving a non-working implicit conversion
  * Refreshing years in d/copyright
  * Refreshing Lintian overrides
  * Reworking the MetaInfo file with upstream information

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 Apr 2024 22:11:16 +0200

jmol (14.32.83+dfsg-3) unstable; urgency=medium

  * Changing the return type of Lst.addAll to comply with OpenJDK-21. Thanks
    to Emmanuel Bourg for the suggestion (Closes: 1053033)

 -- Pierre Gruet <pgt@debian.org>  Fri, 29 Sep 2023 13:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
            Ximin Luo <infinity0@debian.org>
 Section: science
 Priority: optional
-Build-Depends: ant,
-               ant-contrib,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                default-jdk,
                docbook-xml,
                docbook-xsl,
@@ -17,32 +15,16 @@
                junit,
                libcommons-cli-java,
                libjni-inchi-java,
+               libmaven-javadoc-plugin-java,
                libnaga-java (>= 3.0+svn80-5~),
-               libsaxon-java,
-               maven-repo-helper,
+               maven-debian-helper,
                xsltproc,
-	       quilt
-Standards-Version: 4.6.2
+	           quilt
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/jmol
 Vcs-Git: https://salsa.debian.org/debichem-team/jmol.git
 Homepage: https://jmol.sourceforge.net/
-
-Package: jmol
-Architecture: all
-Depends: default-jre,
-         libjmol-java (= ${binary:Version}),
-         ${misc:Depends}
-Description: Molecular Viewer
- Jmol is a Java molecular viewer for three-dimensional chemical structures.
- Features include reading a variety of file types and output from quantum
- chemistry programs, and animation of multi-frame files and computed normal
- modes from quantum programs.  It includes with features for chemicals,
- crystals, materials and biomolecules.  Jmol might be useful for students,
- educators, and researchers in chemistry and biochemistry.
- .
- File formats read by Jmol include PDB, XYZ, CIF, CML, MDL Molfile, Gaussian,
- GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.
 
 Package: libjmol-java
 Architecture: all
@@ -74,3 +56,19 @@
  educators, and researchers in chemistry and biochemistry.
  .
  This package comprises the javadoc documentation for the libjmol-java package.
+
+Package: jmol
+Architecture: all
+Depends: default-jre,
+         libjmol-java (= ${binary:Version}),
+         ${misc:Depends}
+Description: Molecular Viewer
+ Jmol is a Java molecular viewer for three-dimensional chemical structures.
+ Features include reading a variety of file types and output from quantum
+ chemistry programs, and animation of multi-frame files and computed normal
+ modes from quantum programs.  It includes with features for chemicals,
+ crystals, materials and biomolecules.  Jmol might be useful for students,
+ educators, and researchers in chemistry and biochemistry.
+ .
+ File formats read by Jmol include PDB, XYZ, CIF, CML, MDL Molfile, Gaussian,
+ GAMESS, MOPAC, ABINIT, ACES-II, Dalton and VASP.

## jmol 16.2.33%2Bdfsg

=== debian/changelog ===
jmol (16.2.33+dfsg-1) unstable; urgency=medium

  * New upstream version 16.2.33+dfsg
  * Refreshing patches
  * Removing Georges Khaznadar from uploaders, thanks for all the work!
  * Updating d/copyright

 -- Pierre Gruet <pgt@debian.org>  Sat, 12 Oct 2024 23:51:55 +0200

## jmol 16.2.33+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>,
            Pierre Gruet <pgt@debian.org>,
-           Georges Khaznadar <georgesk@debian.org>,
            Ximin Luo <infinity0@debian.org>
 Section: science
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Referencing the Maven coordinates of the dependencies.
NAGA_COORDINATES = <dependency>\n<groupId>com.google.code</groupId>\n<artifactId>naga</artifactId>\n<version>debian</version>\n</dependency>
CLI_COORDINATES = <dependency>\n<groupId>commons-cli</groupId>\n<artifactId>commons-cli</artifactId>\n<version>debian</version>\n</dependency>
INCHI_COORDINATES = <dependency>\n<groupId>net.sf.jni-inchi</groupId>\n<artifactId>jni-inchi</artifactId>\n<version>debian</version>\n</dependency>

%:
	dh $@ --with javahelper --buildsystem=maven

override_dh_install:
	dh_install
	# Using imagemagick to resize the icon
	mkdir -p debian/jmol/usr/share/icons/hicolor/96x96/apps/
	convert src/org/openscience/jmol/app/images/icon.png -resize 96x96\! debian/jmol/usr/share/icons/hicolor/96x96/apps/jmol-icon.png

execute_before_dh_auto_configure:
	# Putting the Maven coordinates of the dependencies in the upstream template
	# pom file.
	# Also putting the dfsg-stripped upstream version number in the pom.
	# Indicating the path to the source, which is not the standard src/main/java.
	# Indicating the path to the resources, excluding .class files, so that
	# icons, images and translation files are included.
	sed -e 's,\(<dependencies>\),\1\n$(NAGA_COORDINATES)\n$(CLI_COORDINATES)\n$(INCHI_COORDINATES),' \
	    -e 's/\(@version@\)/\1$(DEB_VERSION_UPSTREAM)/; s/@version@\(.*\)+dfsg[0-9]*/\1/' \
	    -e 's|\(</project>\)|<build><sourceDirectory>src</sourceDirectory><resources><resource><directory>src</directory><excludes><exclude>**/*.java</exclude></excludes></resource></resources></build>\1|' \
	    tools/pom.xml.template > pom.xml

override_dh_clean:
	dh_clean
	# Removing the pom.xml file we settled there
	-rm pom.xml

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
 http://sf.net/jmol/[jJ]mol-([\d]+\.[\d]*[02468]+\.[\d]+)-full\.tar\.gz debian debian/repack
